openjpa-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Marc Prud'hommeaux <mprud...@apache.org>
Subject [VOTE RESULT] Move JPA API dependency from dev.java.net to geronimo version
Date Tue, 13 Feb 2007 08:08:40 GMT

With 7 votes in favor and none against, the vote passes!

The vote thread can be viewed at:

   http://mail-archives.apache.org/mod_mbox/incubator-open-jpa-dev/ 
200702.mbox/%3cDF2A0924-993C-4001-B5AA-EA3F9E8FA576@apache.org%3e

I've updated the dependencies in the pom.xml file and committed.  
Thanks to all who voted!



On Feb 9, 2007, at 6:09 AM, Geir Magnusson Jr. wrote:

> +1
>
> On Feb 9, 2007, at 12:41 AM, Marc Prud'hommeaux wrote:
>
>>
>> It turns out that the JPA API we've been building against (the one  
>> from https://maven-repository.dev.java.net/repository/ 
>> javax.persistence/jars/persistence-api-1.0.jar) is not actually  
>> the final version of the spec: there are some minor (and binary- 
>> compatible) changes (some annotations don't have runtime  
>> retention, for example), but they are enough to prevent us from  
>> passing all the compatibility tests we need.
>>
>> The Geronimo API jar (http://mirrors.ibiblio.org/pub/mirrors/ 
>> maven2/org/apache/geronimo/specs/geronimo-jpa_3.0_spec/geronimo- 
>> jpa_3.0_spec-1.0.jar) is compliant, as far as I can tell.
>>
>> How do people feel about changing the dependency from persistence- 
>> api-1.0.jar to geronimo-jpa_3.0_spec-1.0.jar? I've run through all  
>> our tests, and they pass with the Geronimo version. This would  
>> have the added advantage of unifying our spec jars to all be using  
>> the Geronimo versions.
>>
>> +1 indicates that you approve of the change
>> -1 indicated that you disagree that the change should be made
>>
>>
>>
>>
>>
>


Mime
View raw message